Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.support
Class MuleServiceConfiguration

    java.lang.Object
      org.apache.cxf.service.factory.AbstractServiceConfiguration
          org.mule.module.cxf.support.MuleServiceConfiguration

    public class MuleServiceConfiguration

extends org.apache.cxf.service.factory.AbstractServiceConfiguration

This is the `ServiceConfiguration` that is associated to the `InboundMessageProcessorBuilder`, so it can obtain properties directly from it.

Field Summary

Fields inherited from class org.apache.cxf.service.factory.AbstractServiceConfiguration
`serviceNamespace`

Constructor Summary
`MuleServiceConfiguration(AbstractInboundMessageProcessorBuilder builder)`

Method Summary
`QName` | `getEndpointName()`
`String` | `getServiceName()`
`String` | `getServiceNamespace()`

Methods inherited from class org.apache.cxf.service.factory.AbstractServiceConfiguration
`getAction, getFaultMessageName, getFaultName, getHolderType, getInParameterName, getInPartName, getInputMessageName, getInterfaceName, getMEP, getOperationName, getOutParameterName, getOutPartName, getOutputMessageName, getRequestWrapper, getRequestWrapperClassName, getRequestWrapperName, getRequestWrapperPartName, getResponseWrapper, getResponseWrapperClassName, getResponseWrapperName, getResponseWrapperPartName, getServiceFactory, getStyle, getWrapperPartMaxOccurs, getWrapperPartMinOccurs, getWsdlURL, hasOutMessage, isAsync, isHeader, isHolder, isInParam, isOperation, isOutParam, isRPC, isWrapped, isWrapped, isWrapperPartNillable, isWrapperPartQualified, setServiceFactory, setServiceNamespace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleServiceConfiguration

    public MuleServiceConfiguration(AbstractInboundMessageProcessorBuilder builder)

Method Detail

### getServiceNamespace

    public String getServiceNamespace()

  Overrides:
    `getServiceNamespace` in class `org.apache.cxf.service.factory.AbstractServiceConfiguration`

### getServiceName

    public String getServiceName()

  Overrides:
    `getServiceName` in class `org.apache.cxf.service.factory.AbstractServiceConfiguration`

### getEndpointName

    public QName getEndpointName()

  Overrides:
    `getEndpointName` in class `org.apache.cxf.service.factory.AbstractServiceConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.